RDKit: RDKit::MorganFingerprint::MorganAtomEnv< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MorganFingerprint::MorganAtomEnv< OutputType > Class Template Reference

Class for holding the bit-id created from Morgan fingerprint environments and the additional data necessary extra outputs. More...

`#include <MorganGenerator.h>`

Inheritance diagram for RDKit::MorganFingerprint::MorganAtomEnv< OutputType >:

## Public Member Functions
OutputType | getBitId (FingerprintArguments *arguments, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, AdditionalOutput *additionalOutput, const bool hashResults=false, const std::uint64_t fpSize=0) const override
| calculates and returns the bit id to be set for this atom-environment
void | updateAdditionalOutput (AdditionalOutput *output, size_t bitId) const override
| MorganAtomEnv (const std::uint32_t code, const unsigned int atomId, const unsigned int layer, const ROMol *mol)
| Construct a new MorganAtomEnv object.
Public Member Functions inherited from RDKit::AtomEnvironment< OutputType >
virtual | ~AtomEnvironment ()

## Detailed Description

template<typename OutputType>
class RDKit::MorganFingerprint::MorganAtomEnv< OutputType >

Class for holding the bit-id created from Morgan fingerprint environments and the additional data necessary extra outputs.

Definition at line 163 of file MorganGenerator.h.

## Constructor & Destructor Documentation

## ◆ MorganAtomEnv()

template<typename OutputType>

RDKit::MorganFingerprint::MorganAtomEnv< OutputType >::MorganAtomEnv | ( | const std::uint32_t | code,
|  | const unsigned int | atomId,
|  | const unsigned int | layer,
|  | const ROMol * | mol )
| inline

Construct a new MorganAtomEnv object.

Parameters

  code | bit id generated from this environment
  atomId | atom id of the atom at the center of this environment
  layer | radius of this environment

Definition at line 189 of file MorganGenerator.h.

## Member Function Documentation

## ◆ getBitId()

template<typename OutputType>

OutputType RDKit::MorganFingerprint::MorganAtomEnv< OutputType >::getBitId | ( | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | AdditionalOutput * | AdditionalOutput,
|  | const bool | hashResults = false,
|  | const std::uint64_t | fpSize = 0 ) const
| overridevirtual

calculates and returns the bit id to be set for this atom-environment

Parameters

  arguments | Fingerprinting type specific molecule independent arguments
  atomInvariants | Atom-invariants to be used during hashing
  bondInvariants | Bond-invariants to be used during hashing
  hashResults | if set results will be ready to be modded

Returns
  OutputType calculated bit id for this environment

Implements RDKit::AtomEnvironment< OutputType >.

## ◆ updateAdditionalOutput()

template<typename OutputType>

void RDKit::MorganFingerprint::MorganAtomEnv< OutputType >::updateAdditionalOutput | ( | AdditionalOutput * | output,
|  | size_t | bitId ) const
| overridevirtual

Implements RDKit::AtomEnvironment< OutputType >.

The documentation for this class was generated from the following file:

- MorganGenerator.h